Bug 21341 - Remove note that longdesc is obsolete for img
Remove note that longdesc is obsolete for img
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P1 major
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
http://www.w3.org/TR/html5/obsolete.h...
: a11y, a11y_text-alt
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-19 22:31 UTC by Charles McCathieNevile
Modified: 2013-09-20 16:13 UTC (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles McCathieNevile 2013-03-19 22:31:22 UTC
I'm not sure what the exact process is for this, nor the right target (and the relevant product might well be HTML.Next). But there is a valid spec for the longdesc attribute on the img element, so this use of the attribute should be removed from the "authors must not use" section.
Comment 1 Silvia Pfeiffer 2013-03-20 08:47:01 UTC
From a process point of view I think this will happen when this extension spec is merged into either HTML5.0 or HTML5.1 or even both. I think it's a bit early now.
Comment 2 Charles McCathieNevile 2013-03-20 11:04:01 UTC
Hmm. I think there is a difference between saying what the final state is - I agree we are way too early for that - and saying "users must not use it" which is what the HTML spec currently says.

If that statement remains, I think it should at least point to the extensions spec since they are in straight contradiction.
Comment 3 Robin Berjon 2013-03-20 11:09:09 UTC
(In reply to comment #2)
> Hmm. I think there is a difference between saying what the final state is -
> I agree we are way too early for that - and saying "users must not use it"
> which is what the HTML spec currently says.
> 
> If that statement remains, I think it should at least point to the
> extensions spec since they are in straight contradiction.

Yes, the agreed plan was that we'd point to it and move towards validity. I'll look into handling that.
Comment 4 Silvia Pfeiffer 2013-03-20 22:24:24 UTC
fair enough :-)
Comment 5 Edward O'Connor 2013-05-24 17:02:33 UTC
I actually think we should keep this note. The validator(s) can simply ignore the note if they consider the HTML Image Description Extension spec to be an applicable specification.
Comment 6 Sam Ruby 2013-09-11 13:39:51 UTC
Ping?
Comment 7 Mark Sadecki 2013-09-19 15:19:02 UTC
I believe the following quote from Plan 2014 [1] applies to this situation and should clear up any doubt that longdesc should not be listed as obsolete:

> To prevent unnecessary confusion, the HTML5 specification will drop explicit
> indications that any given extension is obsolete once an extension specification
> exists that has been published as a FPWD. Additionally, the W3C staff will watch
> for drafts being published and keep the W3C validator up to date as appropriate.

[1] http://dev.w3.org/html5/decision-policy/html5-2014-plan.html#plan
Comment 8 Robin Berjon 2013-09-20 16:13:20 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: Removed longdesc from the list of obsolete attributes.
Rationale: There's an extension spec for that.

https://github.com/w3c/html/commit/40f9200c1989dd9c3b99cc51be3087339a88eb45